## ros-bouncy-pluginlib 2.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pluginlib)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(NOT WIN32)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

find_package(ament_cmake REQUIRED)
find_package(ament_index_cpp REQUIRED)
find_package(class_loader REQUIRED)
find_package(rcutils REQUIRED)
find_package(tinyxml2_vendor REQUIRED)
find_package(TinyXML2 REQUIRED)  # provided by tinyxml2 upstream, or tinyxml2_vendor

ament_export_dependencies(ament_index_cpp class_loader rcutils tinyxml2_vendor TinyXML2)
ament_export_include_directories(include)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

install(
  DIRECTORY include/
  DESTINATION include
)

# if(BUILD_TESTING)
#   add_library(test_plugins EXCLUDE_FROM_ALL SHARED test/test_plugins.cpp)
#   target_include_directories(test_plugins PUBLIC
#     include
#     ${ament_index_cpp_INCLUDE_DIRS}
#     ${class_loader_INCLUDE_DIRS}
#     ${tinyxml2_INCLUDE_DIRS}
#   )
#   # place the library in an FHS compliant layout in the build space
#   set(prefix "${CMAKE_CURRENT_BINARY_DIR}/prefix")
#   set_target_properties(
#     test_plugins PROPERTIES
#     ARCHIVE_OUTPUT_DIRECTORY "${prefix}/lib"
#     LIBRARY_OUTPUT_DIRECTORY "${prefix}/lib"
#     RUNTIME_OUTPUT_DIRECTORY "${prefix}/bin"
#   )
#   # place the plugin manifest in an FHS compliant layout in the build space
#   file(COPY test/test_plugins.xml DESTINATION "${prefix}/share/pluginlib/test")
#   # create an entry in the ament index for the exported plugins
#   file(WRITE "${prefix}/share/ament_index/resource_index/pluginlib__plugin/pluginlib"
#     "\${prefix}/test/test_plugins.xml\n")

#   catkin_add_gtest(${PROJECT_NAME}_utest test/utest.cpp)
#   if(TARGET ${PROJECT_NAME}_utest)
#     target_link_libraries(${PROJECT_NAME}_utest ${tinyxml2_LIBRARIES} ${catkin_LIBRARIES})
#     add_dependencies(${PROJECT_NAME}_utest test_plugins)
#   endif()

#   include(CheckCXXCompilerFlag)
#   check_cxx_compiler_flag("-std=c++11" COMPILER_SUPPORTS_CXX11)
#   if(COMPILER_SUPPORTS_CXX11)
#     catkin_add_gtest(${PROJECT_NAME}_unique_ptr_test test/unique_ptr_test.cpp)
#     if(TARGET ${PROJECT_NAME}_unique_ptr_test)
#       target_link_libraries(${PROJECT_NAME}_unique_ptr_test
#         ${tinyxml2_LIBRARIES} ${catkin_LIBRARIES})
#       set_target_properties(${PROJECT_NAME}_unique_ptr_test
#         PROPERTIES COMPILE_FLAGS -std=c++11 LINK_FLAGS -std=c++11)
#       add_dependencies(${PROJECT_NAME}_unique_ptr_test test_plugins)
#     endif()
#   endif()
# endif()

ament_package(
  CONFIG_EXTRAS "pluginlib-extras.cmake"
)

=== debian/changelog ===
ros-bouncy-pluginlib (2.1.1-0bionic) bionic; urgency=high

  * export rcutils (#120 <https://github.com/ros/pluginlib/issues/120>)
  * Contributors: Karsten Knese

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 17 Jul 2018 07:00:00 -0000

ros-bouncy-pluginlib (2.1.0-0bionic) bionic; urgency=high

  * Fix compile error with gcc 8.1.0 (#116 <https://github.com/ros/pluginlib/issues/116>)
  * remove extra semicolon to fix pedantic warning (#103 <https://github.com/ros/pluginlib/issues/103>)
  * use new class_loader header names (#99 <https://github.com/ros/pluginlib/issues/99>)
  * adjust library search to work on windows, warn about lib prefix (#97 <https://github.com/ros/pluginlib/issues/97>)
  * vs2015 doesnt support __has_include, VS2015 and 2017 have both <files… (#96 <https://github.com/ros/pluginlib/issues/96>)
  * move pluginlib in its own folder (port 83 to ros2 branch) (#95 <https://github.com/ros/pluginlib/issues/95>)
  * Contributors: Mikael Arguedas, William Woodall, jerry73204

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 21 Jun 2018 07:00:00 -0000

ros-bouncy-pluginlib (1.11.0-0bionic) bionic; urgency=high

  * Switch to Tinyxml2 (#59 <https://github.com/ros/pluginlib/issues/59>)
  * do not use popen to solve catkin_path. (#49 <https://github.com/ros/pluginlib/issues/49>)
  * switch to package format 2 (#55 <https://github.com/ros/pluginlib/issues/55>)
  * remove trailing whitespaces (#54 <https://github.com/ros/pluginlib/issues/54>)
  * Contributors: Dmitry Rozhkov, Koji Terada, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-bouncy-pluginlib (1.10.5-0bionic) bionic; urgency=high

  * Merge pull request #47 <https://github.com/ros/pluginlib/issues/47> from ros/fix_conversion
    fix size_t to int conversion
  * fix int conversion
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 27 Mar 2017 07:00:00 -0000

ros-bouncy-pluginlib (1.10.4-0bionic) bionic; urgency=high

  * Merge pull request #42 <https://github.com/ros/pluginlib/issues/42> from delftrobotics-forks/unique-ptr
    Add std::unique_ptr API
  * Add unit test for unique_ptr API.
  * Simplify unit tests with ASSERT_THROW.
  * Add ClassLoader::createUniqueInstance.
  * Wrap long comment on createInstance and friend.
  * Throw exception if plugin.xml is broken (#41 <https://github.com/ros/pluginlib/issues/41>)
    * added test case for broken xml files with missing attributes of class tag
    * added checks if all needed attributes of the class tag are existing
    * removed comment and empty line
  * Contributors: Maarten de Vries, Mikael Arguedas, cwecht

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 20 Sep 2016 07:00:00 -0000

ros-bouncy-pluginlib (1.10.3-0bionic) bionic; urgency=high

  * Merge pull request #40 <https://github.com/ros/pluginlib/issues/40> from ros/fix_warnings
    fix deprecated warnings in unit tests
  * fix deprecated warnings in unit tests
  * removed merge messages and redundant commits
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 22 Jun 2016 07:00:00 -0000

ros-bouncy-pluginlib (1.10.2-0bionic) bionic; urgency=high

  * Remove Boost Software License from license tag #35 <https://github.com/ros/pluginlib/issues/35>
  * Throw an exception if ClassLoader can't be instantiated due to an invalid package name #34 <https://github.com/ros/pluginlib/issues/34>
  * Add ":" to split function within getName. #33 <https://github.com/ros/pluginlib/issues/33>
  * Contributors: Esteve Fernandez, Jochen Sprickerhof, Mikael Arguedas, Mike O'Driscoll

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 14 Mar 2016 07:00:00 -0000

ros-bouncy-pluginlib (1.10.1-0bionic) bionic; urgency=high

  * Remove GTEST_FOUND from CMakeLists.txt
  * Check that GTest is installed before running tests.
  * Moved plugin_macro_update script to scripts directory. Made plugin_macro_update rosrunnable and removed it from global PATH #29 <https://github.com/ros/pluginlib/issues/29>
  * Contributors: Esteve Fernandez

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 23 Dec 2014 08:00:00 -0000

ros-bouncy-pluginlib (1.10.0-0bionic) bionic; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 08 May 2014 21:56:00 -0000

ros-bouncy-pluginlib (1.9.25-0bionic) bionic; urgency=high

  * Use cmake_modules to find TinyXML #26 <https://github.com/ros/pluginlib/issues/26>
  * Check for release libraries in debug builds #25 <https://github.com/ros/pluginlib/issues/25>
  * update refreshDeclaredClasses to force recrawl (fix #23 <https://github.com/ros/pluginlib/issues/23>)
  * Contributors: Dirk Thomas, Esteve Fernandez

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 09 May 2014 03:37:00 -0000

ros-bouncy-pluginlib (1.9.24-0bionic) bionic; urgency=high

  * Remove invalid exception when no plugins are found #22 <https://github.com/ros/pluginlib/issues/22>
  * Update maintainer field
  * Contributors: Dirk Thomas, Esteve Fernandez

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 11 Mar 2014 07:00:00 -0000

ros-bouncy-pluginlib (1.9.23-0bionic) bionic; urgency=high

  * expose plugin paths in ClassLoader #21 <https://github.com/ros/pluginlib/issues/21>
  * Contributors: Dirk Thomas, Mirza Shah

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 04 Oct 2013 07:00:00 -0000

ros-bouncy-pluginlib (1.9.22-0bionic) bionic; urgency=high

  * Fixed use of __FILE__ macro in deprecation warning
  * Added libdl to plugin_tool link args...temporary fix
  * Contributors: Mirza Shah

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 21 Aug 2013 07:00:00 -0000

ros-bouncy-pluginlib (1.9.21-0bionic) bionic; urgency=high

  * Added file hint for deprecated warnings. #16 <https://github.com/ros/pluginlib/issues/16>
  * check for CATKIN_ENABLE_TESTING
  * remove mainpage.dox
  * Contributors: Dane Powell, Dirk Thomas, Mirza Shah



=== debian/control ===
Source: ros-bouncy-pluginlib
Section: misc
Priority: extra
Maintainer: Mikael Arguedas <mikael@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-bouncy-ament-cmake, ros-bouncy-ament-index-cpp, ros-bouncy-class-loader, ros-bouncy-rcutils, ros-bouncy-tinyxml2-vendor, ros-bouncy-ros-workspace
Homepage: http://www.ros.org/wiki/pluginlib
Standards-Version: 3.9.2

Package: ros-bouncy-pluginlib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-bouncy-ament-index-cpp, ros-bouncy-class-loader, ros-bouncy-rcutils, ros-bouncy-tinyxml2-vendor, ros-bouncy-ros-workspace
Description: The pluginlib package provides tools for writing and dynamically loading plugins using the ROS build infrastructure.
 To work, these tools require plugin providers to register their plugins in the package.xml of their package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/bouncy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/bouncy" \
		-DAMENT_PREFIX_PATH="/opt/ros/bouncy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-bouncy-pluginlib//opt/ros/bouncy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/bouncy/setup.sh" ]; then . "/opt/ros/bouncy/setup.sh"; fi && \
	dh_auto_install
